<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>JavalinApp.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">demo</a> &gt; <a href="index.source.html" class="el_package">echo.util</a> &gt; <span class="el_source">JavalinApp.java</span></div><h1>JavalinApp.java</h1><pre class="source lang-java linenums">package echo.util;

import io.javalin.Javalin;
import static io.javalin.apibuilder.ApiBuilder.*;
import echo.Controller;

<span class="fc" id="L7">public class JavalinApp {</span>
<span class="fc" id="L8">    private Javalin app = </span>
<span class="fc" id="L9">            Javalin.create(config -&gt; config.defaultContentType = &quot;application/json&quot;)</span>
<span class="fc" id="L10">                .routes(() -&gt; {</span>
<span class="fc" id="L11">                    path(&quot;/:echo&quot;, () -&gt; get(Controller::getEcho));</span>
<span class="fc" id="L12">                    path(&quot;/&quot;, ()-&gt; get(Controller::getRoot));</span>
<span class="fc" id="L13">                    });</span>
                    


    public void start(int port) {
<span class="fc" id="L18">        this.app.start(port);</span>
<span class="fc" id="L19">    }</span>

    public void stop() {
<span class="fc" id="L22">        this.app.stop();</span>
<span class="fc" id="L23">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.7.202105040129</span></div></body></html>